Cantera 2.6.0

Public Member Functions | Public Attributes | Protected Attributes | List of all members
ChebyshevData Struct Reference

Data container holding shared data specific to ChebyshevRate. More...

`#include <ChebyshevRate.h>`

Inheritance diagram for ChebyshevData:
[legend]
Collaboration diagram for ChebyshevData:
[legend]

## Public Member Functions
virtual void | update (double T) override
| Update data container based on temperature T More...
virtual void | update (double T, double P) override
| Update data container based on temperature T and an extra parameter. More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin) override
| Update data container based on thermodynamic phase state. More...
void | perturbPressure (double deltaP)
| Perturb pressure of data container. More...
virtual void | restore () override
| Restore data container after a perturbation. More...
virtual void | invalidateCache () override
| Force shared data and reaction rates to be updated next time. More...
virtual void | update (double T)
| Update data container based on temperature T More...
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter. More...
virtual void | update (double T, const vector_fp &extra)
| Update data container based on temperature T and a vector parameter extra More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state. More...
Public Member Functions inherited from ReactionData
virtual void | update (double T)
| Update data container based on temperature T More...
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter. More...
virtual void | update (double T, const vector_fp &extra)
| Update data container based on temperature T and a vector parameter extra More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state. More...
void | perturbTemperature (double deltaT)
| Perturb temperature of data container. More...
virtual void | restore ()
| Restore data container after a perturbation. More...
virtual void | resize (size_t nSpecies, size_t nReactions, size_t nPhases)
| Update number of species, reactions and phases. More...
virtual void | invalidateCache ()
| Force shared data and reaction rates to be updated next time. More...

## Public Attributes
double | pressure
| pressure More...
double | log10P
| base 10 logarithm of pressure More...
Public Attributes inherited from ReactionData
double | temperature
| temperature More...
double | logT
| logarithm of temperature More...
double | recipT
| inverse of temperature More...

## Protected Attributes
double | m_pressure_buf
| buffered pressure More...
Protected Attributes inherited from ReactionData
double | m_temperature_buf
| buffered temperature More...

## Detailed Description

Data container holding shared data specific to ChebyshevRate.

The data container `ChebyshevData` holds precalculated data common to all `ChebyshevRate` objects.

Definition at line 23 of file ChebyshevRate.h.

## Constructor & Destructor Documentation

## ◆ ChebyshevData()

ChebyshevData | ( |  | ) |
| inline

Definition at line 25 of file ChebyshevRate.h.

## Member Function Documentation

## ◆ update() [1/7]

void update | ( | double | T | ) |
| override virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 12 of file ChebyshevRate.cpp.

Referenced by ChebyshevData::perturbPressure(), and ChebyshevData::restore().

## ◆ update() [2/7]

virtual void update | ( | double | T,
|  | double | extra
| ) |  |
| inline override virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 29 of file ChebyshevRate.h.

## ◆ update() [3/7]

bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| override virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

Definition at line 18 of file ChebyshevRate.cpp.

## ◆ perturbPressure()

void perturbPressure | ( | double | deltaP | ) |

Perturb pressure of data container.

The method is used for the evaluation of numerical derivatives.

Parameters

  deltaP | relative pressure perturbation

Definition at line 29 of file ChebyshevRate.cpp.

References ChebyshevData::m_pressure_buf, ChebyshevData::pressure, ReactionData::temperature, and ChebyshevData::update().

## ◆ restore()

void restore | ( |  | ) |
| override virtual

Restore data container after a perturbation.

Reimplemented from ReactionData.

Definition at line 39 of file ChebyshevRate.cpp.

References ChebyshevData::m_pressure_buf, ReactionData::restore(), ReactionData::temperature, and ChebyshevData::update().

## ◆ invalidateCache()

virtual void invalidateCache | ( |  | ) |
| inline override virtual

Force shared data and reaction rates to be updated next time.

This is called by functions that change quantities affecting rate calculations that are normally assumed to be constant, like the reaction rate parameters or the number of reactions.

Reimplemented from ReactionData.

Definition at line 48 of file ChebyshevRate.h.

References ReactionData::invalidateCache(), and ChebyshevData::pressure.

## ◆ update() [4/7]

virtual void update | ( | double | T | ) |
| inline virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 35 of file ReactionData.h.

## ◆ update() [5/7]

virtual void update | ( | double | T,
|  | double | extra
| ) |  |
| inline virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 47 of file ReactionData.h.

## ◆ update() [6/7]

virtual void update | ( | double | T,
|  | const vector_fp & | extra
| ) |  |
| inline virtual

Update data container based on temperature T and a vector parameter extra

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Warning
  This method is an experimental part of the Cantera API and may be changed or removed without notice.

Reimplemented from ReactionData.

Definition at line 61 of file ReactionData.h.

## ◆ update() [7/7]

virtual bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

## Member Data Documentation

## ◆ pressure

double pressure

pressure

Definition at line 53 of file ChebyshevRate.h.

Referenced by ChebyshevData::invalidateCache(), and ChebyshevData::perturbPressure().

## ◆ log10P

double log10P

base 10 logarithm of pressure

Definition at line 54 of file ChebyshevRate.h.

Referenced by ChebyshevRate::updateFromStruct().

## ◆ m_pressure_buf

double m_pressure_buf
| protected

buffered pressure

Definition at line 57 of file ChebyshevRate.h.

Referenced by ChebyshevData::perturbPressure(), and ChebyshevData::restore().

The documentation for this struct was generated from the following files:

- ChebyshevRate.h
- ChebyshevRate.cpp